Package org.oasis_open.docs.ws_calendar.ns.soap

# Class AddItemType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.AddItemType

public class AddItemType extends BaseRequestType
Message to create a calendar item.

Java class for AddItemType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddItemType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseRequestType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}icalendar"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IcalendarType`
  `icalendar`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddItemType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IcalendarType`
  `getIcalendar()`
  Gets the value of the icalendar property.
  `void`
  `setIcalendar(IcalendarType value)`
  Sets the value of the icalendar property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### icalendar

    protected IcalendarType icalendar

- ## Constructor Details

  - ### AddItemType

    public AddItemType()

- ## Method Details

  - ### getIcalendar

    public IcalendarType getIcalendar()
    Gets the value of the icalendar property.
    Returns:
      possible object is `IcalendarType`

  - ### setIcalendar

    public void setIcalendar(IcalendarType value)
    Sets the value of the icalendar property.
    Parameters:
      `value` - allowed object is `IcalendarType`